Skip to main content
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
metrics
/
query_range
Query Prometheus Range Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range"

payload = { "query": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};

fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'
{
  "status": "<string>",
  "result": [
    "<unknown>"
  ],
  "result_type": "<string>",
  "total_series": 0,
  "truncated": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Body

application/json
query
string
required
end
number | null
range
string | null
start
number | null
step
string | null
timeout_seconds
number | null

Response

Successful Response

status
string
required
result
any[]
result_type
string | null
total_series
integer
default:0
truncated
boolean
default:false